Bug 174098 - audio/sdl_sound: fix midi support
Summary: audio/sdl_sound: fix midi support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 22:10 UTC by fiziologus
Modified: 2012-12-28 11:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
2012-12-03 22:10 UTC, fiziologus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fiziologus 2012-12-03 22:10:00 UTC
[audio/sdl_sound] fix midi support (location timidity.cfg)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-03 22:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mva

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-12-28 11:22:56 UTC
Author: mva
Date: Fri Dec 28 11:22:48 2012
New Revision: 309566
URL: http://svnweb.freebsd.org/changeset/ports/309566

Log:
  - Fix MIDI support
  - Trim Makefile headers
  
  PR:		ports/174098
  Submitted by:	Green Dog <fiziologus@gmail.com>

Added:
  head/audio/sdl_sound/files/patch-decoders-timidity-options.h   (contents, props changed)
Modified:
  head/audio/sdl_sound/Makefile

Modified: head/audio/sdl_sound/Makefile
==============================================================================
--- head/audio/sdl_sound/Makefile	Fri Dec 28 11:21:31 2012	(r309565)
+++ head/audio/sdl_sound/Makefile	Fri Dec 28 11:22:48 2012	(r309566)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	sdl_sound
-# Date created:				6 Feb 2003
-# Whom:					David Yeske <dyeske@gmail.com>
-#
+# Created by: David Yeske <dyeske@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	sdl_sound
 PORTVERSION=	1.0.3
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	audio
 MASTER_SITES=	http://offload1.icculus.org:9090/SDL_sound/downloads/ \
 		http://offload2.icculus.org:9090/SDL_sound/downloads/
@@ -88,4 +84,7 @@ pre-everything::
 	@${ECHO_CMD}
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/decoders/timidity/options.h
+
 .include <bsd.port.post.mk>

Added: head/audio/sdl_sound/files/patch-decoders-timidity-options.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/sdl_sound/files/patch-decoders-timidity-options.h	Fri Dec 28 11:22:48 2012	(r309566)
@@ -0,0 +1,11 @@
+--- decoders/timidity/options.h.orig      2008-04-17 21:56:20.000000000 +0400
++++ decoders/timidity/options.h    2012-12-04 01:38:58.000000000 +0400
+@@ -80,7 +80,7 @@
+ #define MAX_AMPLIFICATION 800
+ 
+ /* The TiMidity configuration file */
+-#define CONFIG_FILE "timidity.cfg"
++#define CONFIG_FILE "%%PREFIX%%/share/timidity/timidity.cfg"
+ 
+ /* These affect general volume */
+ #define GUARD_BITS 3
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2012-12-28 11:23:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!